import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.sass']
})
export class LoginComponent implements OnInit {
  public loginForm!: FormGroup
  public submited: boolean = false

  constructor(private formBuilder: FormBuilder) { }

  ngOnInit(): void {
    this.loginForm = this.formBuilder.group(
      {

        username: ['', Validators.required],
        password: ['',[
            Validators.required,
            Validators.minLength(6),
            Validators.maxLength(40)
          ]
        ],
      });
  }

  get f() {
    return this.loginForm.controls;
  }

 public onSubmit() {
    if (this.loginForm.invalid) {
      this.submited = true;
      return;
    }
  }

}

